package imageMedd.transformers;

import java.util.Map;
import java.util.TreeMap;


/**
 * @author OpenG
 *		class Transformer holds the method which alters the image to a new form.
 *		Must haves for transformers are a representing string and a way to accept Visitors.
 *		Also if required a function to receive a single parameter (can be expanded quite easily)
 *		Note abstract class SpecTransformer.
 */
public interface Transformer {
	public void accept(TransformerVisitor v);
	public String getString();
	
	static Map<String, Transformer> transformers = new TreeMap<String, Transformer>();

	public void setParam(int[] param);
	public String help();
	public String generalHelp(); 
}
