package imageMedd.transformers;

import imageMedd.transformers.compositors.Atopper;
import imageMedd.transformers.compositors.Inner;
import imageMedd.transformers.compositors.Masker;
import imageMedd.transformers.compositors.Overer;
import imageMedd.transformers.compositors.ReplaceWith;
import imageMedd.transformers.compositors.Xorer;
import imageMedd.transformers.warpers.FloydSteinbergDither;
import imageMedd.transformers.warpers.OmferMosaic;
import imageMedd.transformers.warpers.OrderedDither;
import imageMedd.transformers.warpers.ReplaceColor;
import imageMedd.transformers.warpers.Sinner;
import imageMedd.transformers.warpers.Stroker;
import imageMedd.transformers.warpers.TripleShadow;

public class TransformerInit {
	public TransformerInit() {
		new Xorer();
		new Overer();
		new Inner();
		new Masker();
		new Atopper();
		new OrderedDither(3);
		new OmferMosaic();
		new FloydSteinbergDither(3);
		new Stroker();
		new ReplaceWith();
		new Sinner();
		new ReplaceColor();
		new TripleShadow();
		//May add any kind of custom warpers or compositors
		//new TemplateWarper();
	}
}
