package imageMedd.transformers.compositors;

import imageMedd.Pixel;
import imageMedd.transformers.TransformerVisitor;

public class Inner extends PixelCompositor {
	static final String key = "-in";

	public Inner() {
		super();
	}

	@Override
	public Pixel composite(Pixel p, Pixel q) {
		return Pixel.in(p, q);
	}
	
	@Override
	public void accept(TransformerVisitor v) {
		v.visit(this);
	}

	@Override
	public String getString() {
		return key;
	}
	
	@Override
	public String help() {
		return "Performs \"image1 in image2\"";
	}
}
