package imageMedd.transformers.compositors;

import imageMedd.Pixel;
import imageMedd.transformers.TransformerVisitor;

public class Overer extends PixelCompositor {
	static final String key = "-over";

	public Overer() {
		super();
	}
	
	@Override
	public Pixel composite(Pixel p, Pixel q) {
		return Pixel.over(p, q);
	}

	@Override
	public void accept(TransformerVisitor v) {
		v.visit(this);
	}
	
	@Override
	public String getString() {
		return key;
	}
	
	@Override
	public String help() {
		return "Performs \"image1 over image2\"";
	}
}
