package imageMedd;

import imageMedd.transformers.Transformer;
import imageMedd.transformers.TransformerPrinter;

public class Main {
	public String arguments[];
	
	public static void main(String args[]) {
		try {
			Transformer r = Transformer.transformers.get(args[0]);
			if (r == null) {
				new TransformerPrinter().printHelp();
				return;
			}
			ImageManager a = ImageManager.getInstance();
			a.handleArguments(args, args.length);
			r.accept(a);
			a.writeResult(args[args.length-1]);
		} catch (Exception e) {
			new TransformerPrinter().printHelp();
			e.printStackTrace();
		}
	}
}
