package imageMedd.app;

import imageMedd.ImageManager;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;


public class PreviewActionListener implements ActionListener {
	private int index;
	private Apple app;

	public PreviewActionListener(int index, Apple app) {
		this.index = index;
		this.app = app;
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		if (ImageManager.getInstance().isValidImage(index))
			ImageManager.getInstance().produceView(index);
		else
			app.controlSays("No image in slot "+index,Apple.failColor);
	}
}
