package imageMedd.app;

import imageMedd.transformers.Transformer;

import java.awt.Button;
import java.awt.Color;
import java.awt.FlowLayout;
import java.awt.Frame;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JLabel;


public class PrivateHelp extends Frame {
	private static final long serialVersionUID = 1L;
	private static final int bgColor = 0xFFFFDD;
	private static JLabel help;
	private int width = 950, height = 130;

	public PrivateHelp() {
		super();
		this.setLayout(new FlowLayout(FlowLayout.LEFT));
		this.setBackground(new Color(bgColor));
		this.setSize(width, height);
		help = new JLabel("");
		this.add(help);
		Button b = new Button("Close");
		b.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent arg0) {
				kill();
			}
		});
		this.addWindowListener(new WindowAdapter() {
			@Override
			public void windowClosing(WindowEvent e) {
				kill();
			}
		});
		this.add(b);
		this.setVisible(false);
	}
	
	public void changeTransformer(Transformer t) {
		help.setText("<html><u>"+t.generalHelp()+"<br>"+t.getString()+"</u> - "+t.help() + "</html>");
	}
	
	public void kill() {
		this.setVisible(false);
	}
}
