package imageMedd.transformers.warpers;

import imageMedd.transformers.TransformerVisitor;

import java.awt.image.BufferedImage;


public class TemplateWarper extends Warper {
	// Button name
	private final String key = "X";

	public TemplateWarper() {
		super();
	}

	@Override
	public BufferedImage warp(BufferedImage image1) {
		BufferedImage result = new BufferedImage(image1.getWidth(), image1
				.getHeight(), BufferedImage.TYPE_INT_ARGB);
		return result;
	}
	
	@Override
	public void accept(TransformerVisitor v) {
		v.visit(this);
	}

	@Override
	public String getString() {
		return key;
	}
	
	@Override
	public String help() {
		return "Performs scratching over one's balls.";
	}
}
